#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%ifarch %{ix86} x86_64
%define build_docs 1
%else
%define build_docs 0
%endif

%define date   20220928
%define commit 8c2f9a6167fce2359666d976077e6dc8a0fde664

%define rel 2

Summary:        A framework for creation and generation of reports in multiple formats
Name:           kreport
Version:        3.2.90
Release:        %mkrel %{rel}%{?date:.git%{date}}
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://community.kde.org/KReport
# Source0:        https://download.kde.org/stable/kreport/src/%%{name}-%%{version}.tar.xz
Source0:        https://invent.kde.org/libraries/kreport/-/archive/%{commit}/kreport-%{commit}.tar.bz2
Patch0:         kreport-3.1.0-fix-kreport.pc-dependencies.patch

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  cmake(KPropertyWidgets)
BuildRequires:  cmake(Marble)


%description
KReport is a framework for the creation and generation of reports in multiple
formats.

%files -f %{name}.lang
%_qt5_plugindir/kreport3/
%_kf5_datadir/kreport3/
%_kf5_servicetypes/kreport_elementplugin.desktop

#------------------------------------------------------------------------------

%define kreports_major 4
%define libkreports %mklibname kreport3_ %{kreports_major}

%package -n %libkreports
Summary:      A framework for creation and generation of reports in multiple formats
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkreports
KReport is a framework for the creation and generation of reports in multiple
formats.

%files -n %libkreports
%_kf5_libdir/libKReport3.so.%{kreports_major}{,.*}

#--------------------------------------------------------------------

%define kreports_devel %mklibname kreports -d

%package -n %kreports_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkreports = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kreports_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kreports_devel
%{_includedir}/*
%_kf5_libdir/*.so
%_kf5_libdir/pkgconfig/*.pc
%_kf5_libdir/cmake/KReport3/
%_kf5_mkspecsdir/qt_KReport3.pri

#--------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        KReport3 APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in KReport3 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/KReport3.qch
%{_qt5_docdir}/KReport3.tags
%endif

#-------------------------------------------------------------------

%prep
%setup -q -n kreport-%{commit}
%autopatch -p1

%build
%cmake_kf5 -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebKitWidgets=ON \
           %if %{build_docs}
           -DBUILD_QCH=ON \
           %endif
           -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%find_lang_kf5 kreport_barcodeplugin_qt
%find_lang_kf5 kreport_mapsplugin_qt
%find_lang_kf5 kreport_qt
%find_lang_kf5 kreport_webplugin_qt
cat *_qt.lang > %{name}.lang


%changelog
* Tue Mar 21 2023 daviddavid <daviddavid> 3.2.90-2.git20220928.mga9
+ Revision: 1949984
- disable QtWebkit5 support (mga#29326)

* Thu Sep 29 2022 papoteur <papoteur> 3.2.90-1.git20220928.mga9
+ Revision: 1893290
- new 3.2.90 (git snapshot)

* Wed Feb 16 2022 danf <danf> 3.2.0-4.mga9
+ Revision: 1776646
+ rebuild (emptylog)

* Mon Dec 21 2020 daviddavid <daviddavid> 3.2.0-4.mga8
+ Revision: 1662456
- add upstream patch to fix build with GCC 10 (also fixes kexi build failure)

* Thu Dec 17 2020 umeabot <umeabot> 3.2.0-3.mga8
+ Revision: 1658776
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1525287
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Apr 13 2019 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1389574
- new version: 3.2.0
- enable API documentation in QCH format

* Sun Mar 31 2019 umeabot <umeabot> 3.1.0-4.mga7
+ Revision: 1382808
- Qt5 Rebuild

* Thu Sep 27 2018 daviddavid <daviddavid> 3.1.0-3.mga7
+ Revision: 1307447
- add patch to fix dependencies in kreport pkgconfig file

* Sun Sep 23 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1298646
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1209241
- new version: 3.1.0
- now libmajor is 4

* Sat Aug 12 2017 daviddavid <daviddavid> 3.0.2-1.mga7
+ Revision: 1139877
- New version: 3.0.2

* Mon Aug 07 2017 daviddavid <daviddavid> 3.0.0-2.mga7
+ Revision: 1138712
- rebuild for new marble

* Mon Dec 19 2016 neoclust <neoclust> 3.0.0-1.mga6
+ Revision: 1076114
- imported package kreport

